#-------------------------------------------------
#
# Project created by QtCreator 2016-05-09T09:39:13
#
#-------------------------------------------------
QT       += core gui network sql printsupport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = fmTakeout
TEMPLATE = app
CONFIG += c++11

include("./QsLog/QsLog.pri")

SOURCES += main.cpp\
        MainForm.cpp \
    DClasses/DSingleApplication.cpp \
    NotifyForm.cpp \
    FloatForm.cpp \
    NetWork/UdpNotifier.cpp \
    DClasses/DMvButton.cpp \
    NetWork/Socket.cpp \
    Util/ReqDataManger.cpp \
    DataObject/DataObject.cpp \
    DataObject/OrderObject.cpp \
    DataObject/ComdObject.cpp \
    SettingForm.cpp \
    Util/IniDataManger.cpp \
    Util/BillsManger.cpp \
    DetailsForm.cpp \
    OperaForm.cpp \
    Util/Tools.cpp \
    RejectForm.cpp \
    DataObject/DeliverObject.cpp \
    DeliversForm.cpp \
    qrichbutton.cpp \
    RefundForm.cpp \
    NoRefundForm.cpp \
    MateChooser.cpp \
    DrinkItem.cpp \
    Util/sinfoControl.cpp \
    Util/wbillcontrol.cpp \
    sysTray.cpp \
    DClasses/Database.cpp

HEADERS  += MainForm.h \
    DClasses/DSingleApplication.h \
    PreDefined.h \
    NotifyForm.h \
    FloatForm.h \
    NetWork/UdpNotifier.h \
    DClasses/DMvButton.h \
    NetWork/Socket.h \
    Util/ReqDataManger.h \
    DataObject/DataObject.h \
    DataObject/OrderObject.h \
    DataObject/ComdObject.h \
    SettingForm.h \
    Util/IniDataManger.h \
    Util/BillsManger.h \
    DetailsForm.h \
    OperaForm.h \
    Util/Tools.h \
    RejectForm.h \
    DataObject/DeliverObject.h \
    DeliversForm.h \
    qrichbutton.h \
    RefundForm.h \
    NoRefundForm.h \
    MateChooser.h \
    DrinkItem.h \
    Util/sinfoControl.h \
    Util/wbillcontrol.h \
    sysTray.h \
    DClasses/Database.h\
    XCBOperate.h \
    pos_print.h

FORMS    += MainForm.ui \
    NotifyForm.ui \
    FloatForm.ui \
    SettingForm.ui \
    DetailsForm.ui \
    OperaForm.ui \
    RejectForm.ui \
    DeliversForm.ui \
    RefundForm.ui \
    NoRefundForm.ui \
    MateChooser.ui \
    DrinkItem.ui

#INCLUDEPATH += /home/carwyn/qjson/include

#LIBS += -L/home/carwyn/qjson/lib -lqjson

release {
  LIBS += -L../build/fmTakeaway_db-Release/release -lfmTakeaway_db
  LIBS += -L../build/fmTakeaway_printer-Release/release -lfmTakeaway_printer
}

MOC_DIR = tmp/moc
UI_DIR = tmp/ui
OBJECTS_DIR = tmp/obj

DESTDIR = fmTakeout
RCC_DIR = $$DESTDIR/Ui

#RESOURCES = res/coco.qrc

#QMAKE_RESOURCE_FLAGS = -binary -o coco.rcc


unix {
    QMAKE_LFLAGS += -L. '-Wl,-rpath,\'\$$ORIGIN/lib\''
    LIBS += -lxcb
    LIBS += -lpos_print
}
DISTFILES +=

RESOURCES +=
